pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: problem building modular-xorg-server

On Fri, 18 Apr 2008, Steven M. Bellovin wrote:

Trying to build modular-xorg-server (HEAD) on 4.0stable (up-to-date pkgsrc
no work directories, rebuilding everything out of date as per
'lintpkgsrc -i' and pkgdepgraph -D.

cc -DHAVE_CONFIG_H -I. -I../include -I../hw/xfree86/dixmods/extmod -DGLX_GLXEXT
_LEGACY -I/usr/pkgsrc/x11/modular-xorg-server/work/.buildlink/include -I/usr/pkg
src/x11/modular-xorg-server/work/.buildlink/include/freetype2 -DHAVE_DIX_CONFIG_
H -DDEFAULTPOLICYFILE=\"/usr/pkg/lib/xserver/SecurityPolicy\" -Wall -Wpointer-ar
ith -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-ext
erns -fno-strict-aliasing -D_BSD_SOURCE -DHAS_FCHOWN -DHAS_STICKY_DIR_BIT -D_POS
IX_THREAD_SAFE_FUNCTIONS -I../Xext -I../composite -I../damageext -I../xfixes -I.
./Xi -I../mi -I../miext/shadow -I../miext/damage -I../render -I../randr -I../fb
-O2 -MT xprint.lo -MD -MP -MF .deps/xprint.Tpo -c xprint.c  -fPIC -DPIC -o .libs
In file included from xprint.c:85:
str.h:761: error: expected specifier-qualifier-list before 'PrivateRec'

        I suspect this is due to x11/printproto being updated to a version
        too new for x11/modular-xorg-server. I hit the same issue last
        night and as a test tried building wip/modular-xorg-server which
        worked fine (not that that particularly helps, just a datapoint)

                David/absolute       -- No hype required --

Home | Main Index | Thread Index | Old Index